--On 13. Juni 2005 09:47:33 +0200 gabor <[EMAIL PROTECTED]> wrote:


what's the backward compatibility policy of zope?

i'm asking because while upgrading from 2.6.4 to 2.7.2 we had some
problems. simple ones (like the 'lines' property type seems to have
changed from list to tuple), but still problems.

In general changes should be backward compatible (to some degree). In some cases it might be reasonable to be not compatible with earlier versions especially between major releases. The problem you are talking about might be because a property are supposed to be read-only. Since lists are mutable this could have caused some security probleme..maybe not...one would have to dig into the CVS log to find details...cvs.zope.org is your friend if you want to figure it out on your own.


Attachment: pgpABaPc2egPu.pgp
Description: PGP signature

Zope maillist  -  Zope@zope.org
**   No cross posts or HTML encoding!  **
(Related lists - 
 http://mail.zope.org/mailman/listinfo/zope-dev )

Reply via email to